drop table if exists ECN;

create table ECN (
    ECNID integer primary key,
    ECNNumber integer not null,
    IsTECN integer default 0,
    ExpirationDate text not null,
    ExtensionDate text,
    OriginatorID integer not null,
    Title text not null
);

insert into ECN (ECNNumber, IsTECN, ExpirationDate, ExtensionDate, OriginatorID, Title)
values (1, 0, '2024-03-30 00:00:00', '', 1, 'title1'),
(2, 1, '2024-04-01 00:00:00', '', 6, 'title2'),
(3, 1, '2024-06-01 00:00:00', '', 4, 'title3'),
(4, 1, '2024-04-01 00:00:00', '2024-06-01 00:00:00', 3, 'title4')